Enectiva REST API - Librarian
Home
EnectivaUser ManualEnerfis
Home
EnectivaUser ManualEnerfis
  1. Meters from Enectiva
  • Introduction
  • Access tokens
    • Create a new access token
      POST
  • Data points from Enectiva
    • List data points of a data series
      GET
  • Deltas
    • Introduction to Deltas
    • List monthly deltas of an entity
      GET
    • List monthly deltas of a meter
      GET
    • List monthly deltas of a virtual meter
      GET
  • Data points to Enectiva
    • Latest data point
      GET
    • Create a new data point
      POST
    • Delete a data point by ID
      DELETE
    • Delete a data point by time
      DELETE
  • Profiles to Enectiva
    • Latest profile
      GET
    • Create a new/update an existing profile
      POST
    • Delete a profile by ID
      DELETE
    • Delete a profile by time range
      DELETE
  • Readings to Enectiva
    • Latest reading
      GET
    • Create a new reading
      POST
    • Delete a reading by ID
      DELETE
    • Delete a reading by time
      DELETE
  • Readings from Enectiva
    • List readings of a meter
      GET
  • Entities from Enectiva
    • Entity
    • List entities
  • Meters from Enectiva
    • List meters
      GET
    • Meter
      GET
  • Received energy invoices
    • Create a new invoice
  • Profiles from Enectiva
    • List profiles of a meter
  1. Meters from Enectiva

List meters

GET
https://api.enectiva.cz/meters
Last modified:2026-06-30 18:50:36
This action allows to list meters of a specific customer. Only active meters are returned by default. To query only for deactivated meters include parameter deactivated=true. Virtual meters are not included.
This endpoint is paginated, see Limit & pagination for details. By default, at most 1000 records are returned.
The required scope is meters.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.enectiva.cz/meters?deactivated=undefined' \
--header 'Accept: application/vnd.api+json' \
--header 'Authorization: Bearer <token>'

Responses

🟢200OK
application/vnd.api+json
OK
Bodyapplication/vnd.api+json

Examples
{
    "data": [
        {
            "id":"293",
            "attributes":{
                "identification_code": "1234",
                "name":"Main electricity meter",
                "energy_code":"el",
                "energy_name":"electricity",
                "unit":"kWh",
                "status":"active",
                "last_measured_at":"2023-12-06T23:04:00.000Z",
                "entity_id":12345,
                "import_id":"40AABB_007",
                "measurement_type": "profile",
                "data_source": "manual",
                "address": "Viktora Huga 6"
            },
            "type":"meters"
        },
        {
            "id":"294",
            "attributes":{
                "identification_code": "9876",
                "name":"Main water meter",
                "external_id":"WA001",
                "energy_code":"wa",
                "energy_name":"water",
                "unit":"m³",
                "status":"active",
                "entity_id":12345,
                "measurement_type": "reading",
                "data_source": "manual",
                "address": null
            },
            "type":"meters"
        },
        {
            "id":"295",
            "attributes": {
                "identification_code": null,
                "name": "Secondary water meter",
                "energy_code": "wa",
                "energy_name": "water",
                "status": "deactivated",
                "deactivated_at": "2021-12-31T23:00:00.000Z",
                "unit": "m³",
                "entity_id":12345,
                "measurement_type": "reading",
                "data_source": "imported",
                "address": null
            },
            "type": "meters"
        }
    ]
}
🟠401Unauthorized
🟠403Forbidden
🟠406Not Acceptable
🟠429Too Many Requests
🔴500Server Error
Modified at 2026-06-30 18:50:36
Previous
List entities
Next
Meter
Built with